/*! 
	\file main.c
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 15/12/22
	\brief Exécutable principal du programme

	Application de gestion des candidature dans les IUT de France
*/

#include <stdio.h>

void menuCandidat() {

    printf("\nRetour au menu principal...\n");
}

void menuAdmin() {

}

void menuResponsable() {

}

void menuPrincipal(/* TODO: prise en compte des status actuels du recrutement */) {
    int choix; // Contient le choix de l'utilisateur dans le menu

    printf("-------------------------------------------------------\n");
	printf("Que souhaitez vous faire ?\n");
	printf("1)\tAccéder au menu candidat\n2)\tAccéder au menu administrateur\n3)\tAccéder au menu responsable\n9)\tQuitter\n");
	
	if(scanf("%d", &choix) == 0)
		choix=0;

	printf("-------------------------------------------------------\n");
	
	while(choix != 9){
		switch (choix) {
			case 1:
				printf("Ouverture du menu candidat...\n");
                menuCandidat();
                break;
			case 2:
                printf("Ouverture du menu administrateur...\n");
				menuAdmin();
				break;
			case 3:
				printf("Ouverture du menu responsable...\n");
				menuResponsable();
				break;
			default:
				fprintf(stderr, "\e[0;91mErreur : la valeur entrée est invalide, merci de réessayer.\n\e[0m");
				break;
		}

		printf("Que voulez vous faire ?\n");
		printf("1)\tAccéder au menu candidat\n2)\tAccéder au menu administrateur\n3)\tAccéder au menu responsable\n9)\tQuitter\n");
		scanf("%*c%d", &choix);
		printf("-------------------------------------------------------\n");
	}

    printf("\nFermeture de l'application...\n");
}

int main(void) {
    printf("#################################################\n");
    printf("####                                         ####\n");
    printf("###              Recrutement IUT              ###\n");
    printf("####                                         ####\n");
    printf("#################################################\n");

    menuPrincipal();
    return 0;
}